# Uses of Interface
org.eclipse.emf.cdo.security.ClassFilter

Packages that use ClassFilter
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of ClassFilter in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return ClassFilter
Modifier and Type
Method
Description
`ClassFilter`
SecurityFactory.`createClassFilter()`
Returns a new object of class 'Class Filter'.
`ClassFilter`
SecurityFactory.`createClassFilter(EClass eClass)`

## Uses of ClassFilter in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement ClassFilter
Modifier and Type
Class
Description
`class`
`ClassFilterImpl`
An implementation of the model object 'Class Filter'.
Methods in org.eclipse.emf.cdo.security.impl that return ClassFilter
Modifier and Type
Method
Description
`ClassFilter`
SecurityFactoryImpl.`createClassFilter()`
`ClassFilter`
SecurityFactoryImpl.`createClassFilter(EClass eClass)`

## Uses of ClassFilter in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type ClassFilter
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseClassFilter(ClassFilter object)`
Returns the result of interpreting the object as an instance of 'Class Filter'.
`boolean`
SecurityValidator.`validateClassFilter(ClassFilter classFilter, DiagnosticChain diagnostics, Map<Object,Object> context)`